Skip to Content
Organizations

Revoke an invite link

Dostęp

Tylko administratorzy Tillor.

POST
/admin/organizations/{organizationId}/invite-links/{inviteLinkId}/revoke

Stops an invite link from working. People who already joined through it stay members. Super-admins only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string
Length1 <= length
inviteLinkId*string
Length1 <= length

Response Body

OK

application/json
  1. response
id*string
createdAt*string
Formatdate-time
createdBy*|null
expiresAt*string
Formatdate-time
maxUses*integer
Range-9007199254740991 <= value <= 9007199254740991
useCount*integer
Range-9007199254740991 <= value <= 9007199254740991
revokedAt*|null
Example Request
curl -X POST 'https://api.tillor.eu/admin/organizations//invite-links/string/revoke'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "string",    "name": "string"  },  "expiresAt": "2019-08-24T14:15:22Z",  "maxUses": -9007199254740991,  "useCount": -9007199254740991,  "revokedAt": "2019-08-24T14:15:22Z"}